ENV["RAILS_ENV"] ||= 'test'
ENGINE_RAILS_ROOT = File.join(File.dirname(__FILE__), '../')
require File.expand_path("../dummy/config/environment",  __FILE__)
require 'rspec/rails'
require 'rspec/autorun'
require 'factory_girl_rails'
require 'database_cleaner'
require 'faker'
Dir[File.join(ENGINE_RAILS_ROOT, "spec/support/**/*.rb")].each {|f| require f }

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
  config.include Devise::TestHelpers, :type => :controller
  config.infer_base_class_for_anonymous_controllers = false
  config.order = "random"

  config.before(:suite) do
    DatabaseCleaner.strategy = :transaction
    DatabaseCleaner.clean_with(:truncation)
  end

  config.before(:each) do
    DatabaseCleaner.start
  end

  config.before type: :controller do
    user = create(:user)
    sign_in = sign_in user
    Almanac::ApplicationController.send(:define_method, :current_user) do
      user
    end
  end

  config.after(:each) do
    DatabaseCleaner.clean
  end
end
